Cordova Commits from 3.1.0 -> 3.2.0

cordova-android
---
221b10b Set VERSION to 3.2.0 (via coho)
dd4e2a6 Update JS snapshot to version 3.2.0 (via coho)
499efec CB-5349: fixed regression in update script
fce9be7 CB-5301 add missing license headers
fb3fb41 Set VERSION to 3.2.0-rc1 (via coho)
31195a1 Update JS snapshot to version 3.2.0-rc1 (via coho)
6e4ef50 CB-5193 Fix Android WebSQL sometime throwing SECURITY_ERR.
4437d7f CB-5191 Deprecate <url-filter>
001570e Updating shelljs to 0.2.6. Copy now preserves mode bits.
28c4129 CB-4872 - moved version script to promise model
82898da CB-4872 - make sure to copy over version scripts to project
eabcdbf [CB-4872] - added android version scripts
5ab11ed CB-5117: Output confirmation message if check_reqs passes.
b57317b Refactoring Android project-level and platform scripts to use Q.js
1f49f29 Updating to latest shelljs, old version doesn't preserve +x bits
638fbfa Remove cordova.xml fallback from Config.java (it was removed from PluginManager for 3.0)
16de12a CB-5080 Find resources in a way that works with aapt's --rename-manifest-package
1316578 Update JS snapshot to version 3.2.0-dev (via coho)
1926c50 Remove a couple incorrect lines from RELEASENOTES.md
b858a4a CB-4961: shell.js returns the full path on ls, rebuilding the full path isn't really needed
ec97414 Updating README.md to have latest Android SDK
fe7b2a3 CB-4527: This was an easy fix, since the script deletes batch files
2d88a72 [CB-4892] Fix create script only escaping the first space instead of all spaces.
a51edd3 Fix update script to clobber cordova.js file (missing -f)
b7ede8f Add missing copyright header for Whitelist.java.
15f36cc [CB-4832] Add 3.1.0 RELEASENOTES.md
95edd97 Update JS snapshot to version 3.2.0-dev (via coho)
2c6285d Set VERSION to 3.2.0-dev (via coho)

cordova-ios
---
6874642 Set VERSION to 3.2.0 (via coho)
2599924 Update JS snapshot to version 3.2.0 (via coho)
624cc83 Updated RELEASENOTES for 3.2.0
93d4ba9 CB-5124 - Remove splashscreen config.xml values from iOS Configuration Docs, move to plugin docs
079368d CB-5229 - cordova/emulate important improvements (stderr, check ios-sim before build)
416f83c Set VERSION to 3.2.0-rc1 (via coho)
b2f8d0c Update JS snapshot to version 3.2.0-rc1 (via coho)
e44b7fc CB-5058 - CordovaLib xcode project gets assigned problematic Build Active Architecture Only settings.
5a194a9 CB-4805 (refis) Update cordova/run and cordova/lib/install-device to use latest ios-deploy for iOS 7
9a63bb7 CB-5217: cordova emulate ios doesn't exit
404f6ea Prevented automatic logging of whitelist failures.
e71f907 CB-4805 - Update cordova/run and cordova/lib/install-device to use latest ios-deploy for iOS 7
735813f CB-5103 Fix cordova/run: --emulate should be --emulator (fix CLI usage)
dfc52c5 CB-4872 - need to copy over scipts to project
75d06ff [CB-4872] - added iOS sdk version scripts
0c34e4d Make CDVWebViewDelegate able to load pages after a failed load.
82d16e5 CB-5099 - Add missing icons especially iOS 7 120x120 icon to default template
18252a7 CB-5037 Fix bridge sometimes not resetting properly during page transitions
da98a3d CB-4990 - Can't run emulator from cordova cli
7264f00 Updated version to 3.2.0 in CDVAvailability.h (matches the .js dev version)
0d043f0 CB-4978 - iOS - Remove HideKeyboardFormAccessoryBar and KeyboardShrinksView preferences in config.xml
c66fc82 CB-4935 iOS Remove Keyboard preferences code into its own plugin
bc09565 Update JS snapshot to version 3.2.0-dev (via coho)
246f8e5 Delete some incorrect RELEASENOTES.md entries
cc01343 Added 3.1.0 Release Notes
54dc877 [CB-3020] - HideKeyboardFormAccessoryBar and KeyboardShrinksView show white bar instead of removing it
942b25e Update JS snapshot to version 3.2.0-dev (via coho)
2179602 Set VERSION to 3.2.0-dev (via coho)

cordova-blackberry
---
3f92336 CB-5433 init.bat use %USERPROFILE% on Windows
c3256dc updated and tested for 3.2.0 release
71e39b8 Fix unit tests
12b2c52 CB-5317 Move signing warn logic to build/run scripts
ed8cd4d CB-5329 re-adds rim-permissions element to config.xml, which plugman installation scripts require
5d0a545 CB-5313 BalckBerry10 cordova.js wrong version number for 3.2.x
51c7afc CB-5258 use exit library for process.exit
35a0cf9 Set VERSION to 3.2.0-rc1 (via coho)
4534ab3 CB-5159 Add headers to files caught by Apache RAT
4dcdb99 CB-4531 bin/check_reqs scripts exit with code 2 on error
0c13f4a Update cordova-js
46ac29f CB-5246 cordova/run disambiguate no target exists message
f2d756e CB-5250 bb init script calls dirname with unquoted variables
222d755 CB-5266 update create.js to copy all shell scripts regardless of host platform
b74247d Fix spelling
43ab50f CB-5254 log useful error info to std err
1639fc1 CB-5237 Implemented config-file support in config.xml to inject custom xml into the bar-descriptor.xml
8f3c360 CB-4403 Combined check_reqs and init to allow prerequisite check before each script and a more simplified code flow
3ac0593 CB-4570 Removing unnecessary <content> check for config since index.html is in the default
43638d6 CB-5135 Mark scripts as requiring Bash instead of using a random system shell
7ec40a8 CB-5182 Adding generic error case to run script
c6de78e Auto-detect started simulator on Linux
6eaf033 CB-4767 Remove license from platform config.xml
9708560 CB-4340 Auto-detect target pin when its not there
e00a0c7 CB-4768 Remove access_shared from default config.xml
bf0ef2b [CB-4931] Updated signing process to allow passthrough of args
2a4fd50 CB-4531 changed error codes in line with spec for helper scripts
5a96c23 CB-4780 update script with windows support
6b2ae1d CB-4780 update script for cli platform update command
19cfe94 CB-5139 - fix to able call bb10 version script from anywhere
ec6bfbe CB-4872 - added bb10 ndk version scripts
e5af8fa Adding a missing null check   -Rewriting boolean equation for readability
6095888 CB-3015 Moving dependencies to .cordova folder to speed up create time
f9327e0 CB-3015 Fix syntax issue in definition check in init.bat
75bb2f1 [CB-4774] Adding defaults.xml for new prepare flow
3d93c49 [CB-4887] Added support for true/false for hidekeyboardformaccessorybar
6f63be2 [CB-2980] Added the install-emulator script
a009d87 [CB-2988] Added the install-device script
0924d91 [CB-4913] Updates warnings to check for BBID token
e571745 Update JS snapshot to version 3.2.0-dev (via coho)
29f16fa Set VERSION to 3.2.0-dev (via coho)
880fc9b [CB-4901] Removed custom modified wrench + wrench bump to 1.4.4
95c4540 [CB-4345] Added warning message for when signing keys are not installed

cordova-windows
---
02b4916 update for 3.2.0
316b366 update js for 3.2.0-rc1
203d405 CB-5024 Localized output of msbuild -v was not properly parsed.

cordova-wp8
---
073240e CB-5418 BrowserMouseHelper fails on WP8 for WP7 apps
00c8fe3 Update to 3.2.0
e4c0f71 CB-5437 Inconsistent default new project names for wp7 and wp8 visual studio templates
71d8f7b update js and template defs for 3.2.0-rc1
254883a CB-5076 String.Format issue causing exception in exception handler
befa330 Update regex to handle international version strings
5db89fb CB-4872 changed version script file location to right spot and modified sdk version output
b90d1d4 CB-4872 - added os version and edition check
5a27b24 CB-4872: Added wp7 and wp8 sdk version
6cc3c16 Fixes the invalid pattern used to test msbuild availability
70ec222 Fixes the invalid pattern used to test msbuild availability
7c88c66 [CB-3621] backbutton events can now throw an exception to let the native side know that it should exit the app (WP7)
be911f4 [CB-3621] backbutton events can now throw an exception to let the native side know that it should exit the app
ab78714 [CB-4850] only write device guid if it does not exist
aa6fd8c added case-insensitivity to check_reqs for wp8, just like @albanf did for wp7
fe73bed pulled in and re-jiggered templates
7a68374 removed risky regex template version number replacement, and added XMLDOM versions (cherry picked from commit 7d4fda073ce35ecaa0003003fa85bc0b60bcb706)
dbdfab9 Version check regexps should be case insensitive

cordova-firefoxos
---
1091597 Set VERSION to 3.2.0 (via coho)
4d54883 Update JS snapshot to version 3.2.0 (via coho)
d7b8b6a CB-5234: fixed ffos update script
ed38798 fixed root reference in update script
ade1dc5 fixed errors with update script
d1ff26c Set VERSION to 3.2.0-rc1 (via coho)
6c9b4b5 Update JS snapshot to version 3.2.0-rc1 (via coho)
6c4848a CB-5234: added update scripts for ffos
a0fe155 added values to defaults.xml
feee679 CB-5051: moved defaults.xml to cordova folder
b52bc6b added blank defaults.xml
9f0a837 Update JS snapshot to version 3.2.0-dev (via coho)
437bd46 Set VERSION to 3.2.0-dev (via coho)

cordova-docs
---
8280ae0 Version 3.2.0
222d1b7 updated upgrading guides to include 3.2.0
a1e09bb redo CB-5122 pull request 140
b222806 CB-5432: fix a non-functional typo
d05cf6d CB-5432: fix typos in config.xml example in 3.1
02f9e24 CB-5432: Correct docs for splash screen
e821daa Updated iOS Upgrading Guide for 3.2.0 (trivial - same as previous)
5b907bc removed a few useless embedded Xrefs
dfda650 tightened up & sample recursive grep commands
ad3f66a CB-5361 iOS doc use of force_load linker flag
5dc2e05 CB-5361 iOS doc use of force_load linker flag
0d1d84f CB-5124 - Remove splashscreen config.xml values from iOS Configuration Docs, move to plugin docs
1b2418c CB-5245 [BlackBerry10] Update platform guide for automatic device detection
29a1cb1 CB-5333 [BlackBerry10] Update platform guide for bbid signing keys
93b93ef CB-5326 added info regarding FirefoxOS geolocation permission
29c7c13 [CB-4887] Update after alteration by [C-3962].
014fd23 [CB-3962] strip unnecessary C-heads; tune up storage section
fcd6ee1 [CB-3962] repair case in CLI xrefs
60d6fc4 [CB-3962] inline
b113a1a [CB-3962] Init Cap Headings
17f95a5 [CB-3962] when to init-cap Plugman
516a077 [CB-3962] flush out repeated words
60cbd18 [CB-3962] Xcode
b14a175 CB-4887 Remove note about BB10 inconsistencies which have since been patched
5c999be Clarify behaviour of android KeepRunning preference
8bd5c47 Clarify behaviour of android keepRunning preference (3.0.0)
6c57ae6 Clarify behaviour of android KeepRunning preference (3.1.0)
7e27a03 windows 8 now supports beep
8263661 CB-4516 expanded section on setup of android sdk to clarify confusion over 'adt-bundle'
35d6e15 CB-4328 better description to remove ambiguity from the description of loadUrlTimeoutValue
b0ff3e1 cb-5268 cb-5269 cb-5270
7738681 [CB-3962] clarify passive-voice better for reference doc
082b8a1 [CB-3962] clarify 'user'
d26c8df [CB-3962] Reduce the 'willies'
d77c645 [CB-3962] bogus nested number lists
1259c67 [CB-3962] he/she problems; weird nexted headings; bogus nested list
3344fe3 [CB-3962] colon outside NOTE & other's bold formatting
5afda1b [CB-3962] NOTE as plain text, not bullet list
5f1106c [CB-3962] fix more link problems
bba37aa [CB-3962] fix various link problems
200939a [CB-3962] can't use 'cannot'
4bbb793 [CB-3962] reduce 'your' usage
db90f7d [CB-3962] There is no 'I' in 'WIN'
d92939a [CB-3962] No sentence starting with lowercase member name
7152b84 [CB-3962] reduce 'ing' verbs
7803b12 [CB-3962] rewriting editorial style sheet
39710f0 [CB-3962] Revise style guide's Structure section
f64d900 [CB-3962] distinguish guide/reference content up front
f4cd761 Fix syntax error in InAppBrowser full example.
285eba1 Fix syntax errors - insertCSS() Full Example
5c2cb12 Fixed Syntax Error - executeScript() Full Example
d93fbc3 Fix InAppBrowser full example in edge.
c5cb1d9 Fixed RemoveEventListener Full Example
52f2bb6 [CB-5122] Match STYLESHEET reference to versioning.
7b8642b [CB-5122] Merged both CLI 'update' sections
4fb4ed9 [CB-5122] Merged both CLI 'update' sections
613f2db [CB-5122] clarify 'merges' feature available in topic head
4b31093 [CB-3962] avoid 'multiple'
7bb6bb6 Minor spelling correction.
10c23e4 [CB-3962] clarify what is a 'hybrid' app
8f7f9fa [CB-3962] match verb tense in headings
18c8faf [CB-3962] standardize inline font changes in headings
badb782 [CB-3962] Avoid noun modification concatenation somnambulation obfuscation
1852e70 [CB-3962] cleanup wp8 platform guide
0af1a10 [CB-3962] cleanup wp7 platform guide
b0ada44 [CB-3962] cleanup win8 platform guide
38ea1fa [CB-3962] no numbered headings
134554e [CB-3962] use shorthand for range of versions
47b1d29 [CB-3962] only 1 A-head per page
da84cee [CB-3962] handle inline within headings
97ae875 [CB-5122] clarify 'merges' feature available in topic head
35c65db Update 3.1.0 plugin feature values to align with edge (56c0f5).
23fa731 CB-4890: fix edge and backport to 3.0, 3.1
64c6568 Fixed typo in executeScript example
6693960 [CB-2234] cleanup CLI's 'info' command; location of info.txt file was wrong
a4a47af Update 3.1.0 android-package reference org.apache.cordova.geolocation.GeoBroker.
e3607a3 CB-4872 - updated list of default engines to include windows
78e9cd9 Add Windows as platform you could make android/phonegap apps.
ad7aa90 Update events.online.md
55f1f41 Update events.offline.md
2f18331 add hidden firefoxos column to support table
283ac6e Added default engines to the plugin spec
0677445 clarify searches are case-insensitive
0f0890d clarify searches match substrings
9a57122 no need for full URLs in link text
6ceced4 rewrite plugin search piece
d27fff8 CB-4760 Remove docs for WebSQL and replace them with a Storage options overview.
37c6f0c Remove reference to database from localstorage docs
dd4db54 Remove stray 'i'
b54c7d9 cleanup iOS WebViews
572353c tightened up Android WebView page
aad4414 new WebView intro text
8b1b333 tighten up new CLI text
38e51fc Add platform update and plugin search to CLI guide
685d075 [CB-3825] BB10 native plugin
4e709fe [CB-3825] new boilerplate that intro native; tighten up android & BB
025bdbf [CB-3825] reference myplugin.js from home page when using plugman to test
1a226ad [CB-3825] suggest using plugman with default CLI app
52c0b62 [CB-3825] Use local plugman to validate plugin packages; minor edits
0e3a1d8 [CB-3825] link to plugman page for command-line plugin tools
f7b90cc [CB-3825] define plugins better
2554e29 [CB-3825] tighten up WP plugin content
fed2788 [CB-3825] modify/reorg iOS plugin content
1d575e0 [CB-3825] reorg advanced android plugin content
c96e9d3 [CB-3825] globals; cleanup Android plugin text
e63f5fb [CB-3825] boilerplate & code indent in platform plugin guides
192043f [CB-3825] basic info about plugin.xml repo structure
52db02f [CB-3825] improve plugins section
25e4b9e CB-4890: change plugins.xml to config.xml in android docs
8952b9d [CB-3827] clarify Platform Support tbl is now on separate page
8513660 [CB-3849] reveal link to config.xml topic
d6c0d85 [CB-3827] redirect links to support table
dce42ef [CB-3827] split support table into standalone section
32426db [CB-3827] link new section from home page
572d37e [CB-3820] added example of viewport
e06877f [CB-3820] confirmed: MediaPlaybackRequiresUserAction applies to audio & JS calls
8bdcc39 [CB-3820] confirmed: EnableViewportScale allows you to restrict what's already enabled
b606a5e [CB-4203] added InAppBrowserStorageEnabled pref
87ced99 [CB-4203] errorUrl preference removed
3676d5b [CB-4203] loadingPageDialog preference removed
3dd4fbf [CB-4203] loadingDialog preference removed
2393c93 [CB-2099] non-whitelist links may open in browser
0d31cb7 [CB-3810] xref other platform-specific content
824a789 [CB-4203] need to avoid script injection
4fa156e [CB-4203] pre-3.0 android whitelisting n/a for images/scripts
e3326b4 [CB-3810] rewrite whitelist guide
0c5a40f [CB-3962] re-pack lines for editing
e7dbe83 [CB-3820] CHECK: clarify loc of platform-specific config.xml
eb3e4d6 [CB-3820] clarify iOS's config.xml lives in dir named after app
6c86ace [CB-3820] minor reformat to platform-specific config.xml
4a9fd6f [CB-3820] no top-level 'app' directory in path to Android's local config.xml
3ea3df3 [CB-3820] clarify location of iOS's local config.xml
22c8387 CB-4891: Backporting to 2.9.0 and 3.0.0
8af4093 CB-4891: Fixing errors in 3.1.0 and edge regarding connection permissions
d907273 Add 'help' and 'info' section to CLI docs. CB-2234
0365b6b CB-5064 Explain the URI for "plugin add"
ae819fa CB-5055 Fix the link to the plugin repos
4d38bef CB-4858 Fix missing close bracket in IAB example code
2a85120 CB-5005 rest of the doc fixes
931aff9 CB-5005 plugin doc update for File
da26714 Plugin doc update pt1
479621c Fix accelerometer doc
b1e1923 CB-4979 - iOS - Update iOS Configuration guide to remove the KeyboardShrinksView and HideFormAccessoryBar preferences
2b8e503 CB-4975 Add 3.1.0 version of non-english docs.
acbf84c CB-4964 Allow non-english docs to work with `rake version`
d8c45ad 10/2 push latest of edge for all languages

cordova-mobile-spec
---
dfca43f Set VERSION to 3.2.0 (via coho)
41ea003 Set VERSION to 3.2.0-rc1 (via coho)
df4f86d CB-5193 Update manual SQL test to open multiple databases and have a reload button
753231d CB-5129: Add tests for the filesystem attribute on FileEntry and DirectoryEntry objects
7695d11 Small fix for plugin dependency engine tag
6b2005e CB-5104 add test case for device.cordova value
07b7783 CB-5104 add test case for device.cordova value
fee17d9 CB-5035 wait to prevent test interference
22d81e4 CB-5012 update accel timestamp test
0568542 CB-5012 fix accel numbering for debugging
3cfe781 CB-3747 Add IAB test with a <video>
9fbd54d CB-4969 : media.spec.12 fails with 0 position
de23e30 [CB-4898] Prepare for Medic plugin
06262fa [CB-4956] Change mobilespec dependencies to remove .core
32d806a CB-4894 handle correctly when geolocation not available
4cba23f CB 4878 - media tests should wait for file load
dc2f553 CB4662, CB4879 cleanup errors in file tests
c77ae04 added test for onload being called, as well as multiple local overlapping calls in async mode
1e1f6d3 [CB-4857] Fix plugin id of dependent plugin (AudioHandler->media)
5e75738 Set VERSION to 3.2.0-dev (via coho)

cordova-js
---
fc683fb Set VERSION to 3.2.0 (via coho)
3af11a4 CB-5334 [BlackBerry10] Add command proxy to exec
946a5e3 CB-5307 Remove references to Callback and Incubator
97d8bae CB-5253 remove webworksready event
09585fb CB-5253 remove webworks.exec
30812d8 CB-5247 [BlackBerry10] Map blackberry.event to document
43c51c7 CB-5247 [BlackBerry10] Map blackberry.event to document
5af4a80 Set VERSION to 3.2.0-rc1 (via coho)
c681755 Created common exec proxy module
4e7d30d [CB-4905] CordovaJS on Windows8 has memoryleak on exec.js
0c17849 made jslint a bit happier
5ad41a7 [CB-4942] [BlackBerry10]  deviceready is never fired     - Fix typo event.toLowerCase to type.type.toLowerCase     - Added eventListener for webworksReady to allow nativeReady to fire
f0458b6 [CB-3964] Use grunt's built in jshint.
45b5057 Add RELEASENOTES.md for 3.1.0
8e5a2e7 Change build stamp again by having it use only VERSION file on master branch
606ff75 Fix packager to not add commit hash when creating a tagged version
c9d9752 Set VERSION to 3.2.0-dev (via coho)

cordova-app-hello-world
---
ee9a863 Set VERSION to 3.2.0 (via coho)
2292d0c Set VERSION to 3.2.0-rc1 (via coho)
1ce133c CB-5150 Remove Spec from app-hello-world
9705696 CB-5145 Move the res/ directory to a sibling of www/
373ef74 Set VERSION to 3.2.0-dev (via coho)

cordova-cli
---
## What's new in Cordova-CLI

* add the output of the plugman results to the console
* CB-5363 Improve config_json error reporting
* CB-5364 config_parser - check for null element text
* Fix issue not finding platform script when in subdir - check platforms which
have subdir
* CB-5377 serve: should only indicate listening when it is
* CB-5368 Cordova serve deflate content breaks IE
* Change cordova serve's project.json to include etags.
* CB-5280 Update serve's help text to remove platform arguments
* CB-5364 config_parser - handle duplicates with children and text when
merging
* CB-4400: cd to project root in most cordova commands.
* CB-5063: Revert to copying cordova.js before user www dir
* fix 3 failing tests for windows8 and wp8 and add assertions for wp7 too.
* Adding instructions for installing on master.
* CB-5063: Keep cordova.js in platform_www to avoid copying it from lib.
* CB-5307: Remove references to Callback and Incubator
* tests were failing attempting to match lib/dir and lib\\dir on windows
* CB-5183 WP7/8 lib path is not correctly resolved by CLI (additional changes)
* CB-5283 Improved cordova serve message to be more descriptive
* [CB-4866] Execute hooks in ascending order of any leading numbers
* [CB-5143] Locate the actual Android app .java file much more carefully.
* Cleaning up wp7+8 parsers' use of promises. Fix tests.
* serve: Fix doRoot() not being called & remove duplicated table.
* serve: provide basic entry point
* Wait for the pre_package event to finish, or the update_csproj function
might give unexpected results
* Add pre_package event to wp8 project
* readability + code quality in wp7+8 parsers
* CB-5183 WP7/8 custom_path is not correctly resolved by CLI
* [CB-4994] Update xcode dependency to handle Xcode 5 capabilities.
